##
# You should look at the following URL's in order to grasp a solid understanding
# of Nginx configuration files in order to fully unleash the power of Nginx.
# https://www.nginx.com/resources/wiki/start/
# https://www.nginx.com/resources/wiki/start/topics/tutorials/config_pitfalls/
# https://wiki.debian.org/Nginx/DirectoryStructure
#
# In most cases, administrators will remove this file from sites-enabled/ and
# leave it as reference inside of sites-available where it will continue to be

server {
	listen 82 default_server;
	listen [::]:82 default_server;


	root /game/web/meta;
	client_max_body_size 60m;

	index index.html index.htm index.nginx-debian.html;

	server_name _;
		

	location ^~ /new_battle/ {			
		proxy_pass http://dev.ic1101.world:8091;		
		proxy_redirect off;			
		proxy_set_header Host $host;			
		proxy_set_header X-Real-IP $remote_addr;			
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;		
	}
	
	location ^~ /res/ {			
		proxy_pass http://dev.ic1101.world;		
		proxy_redirect off;			
		proxy_set_header Host $host;			
		proxy_set_header X-Real-IP $remote_addr;			
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;		
	}

}


